Subject: Re: [PATCH 2/2] selftests: rtnetlink: add ipsec packet offload test

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Nov 2024 17:27:39 -0800

On Mon, 4 Nov 2024 17:26:12 -0800 Jakub Kicinski wrote:
> On Mon,  4 Nov 2024 15:33:15 -0800 Feng Wang wrote:
> > From: wangfe <[email-masked]>
> > 
> > Duplicating kci_test_ipsec_offload to create a packet offload test.
> > Using the netdevsim as a device for testing ipsec packet mode.
> > Test the XFRM commands for setting up IPsec hardware packet offloads,
> > especially configuring the XFRM interface ID.  
> 
> CI appears to not be on board:
> 
> # 26.29 [+0.07] RTNETLINK answers: Operation not supported
> # 26.36 [+0.07] FAIL: ipsec_packet_offload can't create SA
> 
> https://netdev-3.bots.linux.dev/vmksft-net/results/846081/25-rtnetlink-sh/stdout
> 
> Maybe you need to add more options to tools/testing/selftests/net/config
> 
> But stepping back - I think it may be time to move the crypto tunnel
> tests based on netdevsim to
> tools/testing/selftests/drivers/net/netdevsim ? rtnetlink is our main
> netlink family, likely half of all our tests could be called a
> "rtnetlink test".

PS. this wiki tells you how the CI builds the kernel, so it is useful
for making sure the config options are chosen correctly:
https://github.com/linux-netdev/nipa/wiki/How-to-run-netdev-selftests-CI-style